import makeArvadosRequest from 'make-arvados-request';
import arvadosTypeName from 'arvados-type-name';

function wbDeleteObject(arvHost, arvToken, uuid) {
  const typeName = arvadosTypeName(uuid);
  return makeArvadosRequest(arvHost, arvToken,
    '/arvados/v1/' + typeName + 's/' +
    uuid, { 'method': 'DELETE' });
}

export default wbDeleteObject;
