import makeArvadosRequest from 'make-arvados-request';
import arvadosTypeName from 'arvados-type-name';

function wbMoveObject(arvHost, arvToken, uuid, newOwnerUuid) {
  const typeName = arvadosTypeName(uuid);
  return makeArvadosRequest(arvHost, arvToken,
    '/arvados/v1/' + typeName + 's/' +
    uuid, { 'method': 'PUT', 'data': JSON.stringify({
      'owner_uuid': newOwnerUuid
    }) });
}

export default wbMoveObject;
