function wbInputSpecInfo(inputSpec) {
  const isFile = (inputSpec.type === 'File' || inputSpec.type === 'File[]' ||
    (inputSpec.type.type === 'array' && [].concat(inputSpec.type.items).indexOf('File') !== -1));

  const isDirectory = (inputSpec.type === 'Directory' || inputSpec.type === 'Directory[]' ||
    (inputSpec.type.type === 'array' && [].concat(inputSpec.type.items).indexOf('Directory') !== -1));

  const isArray = (inputSpec.type === 'File[]' || inputSpec.type === 'Directory[]' ||
    inputSpec.type.type === 'array');

  return { isFile, isDirectory, isArray };
}

export default wbInputSpecInfo;
