function encodeURIComponentIncludingDots(s) {
  return encodeURIComponent(s).replace('.', '%2E');
}

function parseKeepRef(value) {
  if (typeof(value) === 'object' && 'location' in value && value.location.startsWith('keep:'))
    return value.location.substr(5);
  return value;
}

export { encodeURIComponentIncludingDots, parseKeepRef }
