import { h, Component } from 'preact';
import WBNavbarCommon from 'wb-navbar-common';
import WBArvadosCrumbs from 'wb-arvados-crumbs';
import WBCommonFields from 'wb-common-fields';
import WBProjectFields from 'wb-project-fields';

class WBProjectView extends Component {
  render({ app, uuid }, {}) {
    return (
      <div>
        <WBNavbarCommon app={ app } />

        <WBArvadosCrumbs app={ app } uuid={ uuid } />

        <div class="my-2">
          This is the project view for { uuid }
        </div>

        <h2>Common Fields</h2>
        <WBCommonFields app={ app } uuid={ uuid } />

        <h2>Project Fields</h2>
        <WBProjectFields app={ app } uuid={ uuid } />
      </div>
    );
  }
}

export default WBProjectView;
