#!/bin/sh

set -e

function panetitle () {
  printf "\033]2;%s\033\\" "$1";
}

export -f panetitle

export TERM=putty

source ${HOME}/workspace/ml/ml tmux-2.7.0

tmux new-session -x 2000 -y 1200 -d "ml python2; cd ${HOME}/workspace/arvados-workbench-advanced/frontend/dist; panetitle https_server; /bin/bash --init-file <(echo \"python2 ../../backend/srv.py\")"

tmux split-window -v "source ${HOME}/workspace/ml/ml nodejs-8.11.3; cd ${HOME}/workspace/arvados-workbench-advanced/frontend; panetitle npm_run_watch; /bin/bash --init-file <(echo \"npm run watch\")"

tmux split-window -v "cd ${HOME}/workspace/arvados-workbench-advanced; panetitle project; /bin/bash"

tmux select-layout even-vertical

tmux attach
