import arvadosTypeName from 'arvados-type-name';

function arvadosObjectName(item) {
  let typeName = arvadosTypeName(item['uuid']);
  if (typeName === 'user')
    return (item.first_name + ' ' + item.last_name);
  else if (typeName === 'container')
    return ('Container running image ' + item.container_image);
  else
    return item.name;
}

export default arvadosObjectName;
