import { h, Component } from 'preact';
import makeArvadosRequest from 'make-arvados-request';
import { route } from 'preact-router';

class WBLandingPage extends Component {
  componentDidMount() {
    let { arvHost, arvToken } = window.localStorage;
    let prom = makeArvadosRequest(arvHost, arvToken, '/arvados/v1/users/current');
    prom = prom.then(xhr => route('/browse/' + xhr.response['uuid']));
    prom = prom.catch(() => route('/sign-in'));
  }

  render() {
    return (
      <div>Please wait...</div>
    );
  }
}

export default WBLandingPage;
