import { h, Component } from 'preact';
import { route } from 'preact-router';

class WBSignOut extends Component {
  componentDidMount() {
    const { app } = this.props;
    const keys = ['arvHost', 'arvToken', 'currentUser'];
    for (let i = 0; i < keys.length; i++) {
      delete app.state[keys[i]];
      delete window.localStorage[keys[i]];
    }
    route('/sign-in');
  }

  render() {
    return (
      <div>Signing out...</div>
    );
  }
}

export default WBSignOut;
