import { h, Component } from 'preact';
import WBNavbarCommon from 'wb-navbar-common';
import WBArvadosCrumbs from 'wb-arvados-crumbs';
import WBCommonFields from 'wb-common-fields';
import WBWorkflowFields from 'wb-workflow-fields';

class WBWorkflowView extends Component {
  render({ app, uuid }, {}) {
    return (
      <div>
        <WBNavbarCommon app={ app } />

        <WBArvadosCrumbs app={ app } uuid={ uuid } />

        <div class="my-2">
          This is the workflow view for { uuid }
        </div>

        <h2>Common Fields</h2>
        <WBCommonFields app={ app } uuid={ uuid } />

        <h2>Workflow Fields</h2>
        <WBWorkflowFields app={ app } uuid={ uuid } />
      </div>
    );
  }
}

export default WBWorkflowView;
